## org.mariadb.jdbc.internal.com.send
Class SendSslConnectionRequestPacket

    java.lang.Object
      org.mariadb.jdbc.internal.com.send.SendSslConnectionRequestPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendSslConnectionRequestPacket

extends Object
implements InterfaceSendPacket

Used for starting ssl connections.

Constructor Summary
`SendSslConnectionRequestPacket(long clientCapabilities, byte serverLanguage)`

Method Summary
`void` `send(PacketOutputStream pos)` Send capabilities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendSslConnectionRequestPacket

    public SendSslConnectionRequestPacket(long clientCapabilities,
                                          byte serverLanguage)

Method Detail

### send

    public void send(PacketOutputStream pos)
              throws IOException

  Send capabilities.

  Specified by:
    `send` in interface `InterfaceSendPacket`
  Parameters:
    `pos` - database stream.
  Throws:
    `IOException` - if any connection error occur

Copyright © 2017. All rights reserved.